package abacus.springboot.example.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import abacus.springboot.example.dao.JcBillPhoto;

public interface JcBillPhotoRepository extends JpaRepository<JcBillPhoto, Long>,JpaSpecificationExecutor<JcBillPhoto> {

	JcBillPhoto findBySrcidAndSrcitemidAndTypephoto(String srcid, String srcitemid, String typephoto);
	
	void deleteBySrcidAndSrcitemid(String srcid, String srcitemid);
	
	void deleteBySrcidAndTypephoto(String srcid, String typephoto);
	void deleteBySrcidAndSrcitemidAndTypephoto(String srcid, String srcitemid, String typephoto);
}
